Trouble with latest update

I’m having trouble with the latest update. Now my Discourse site is down and will not get up :frowning:

After updating via the admin I was prompted to rebuild the app via the commandline. I did ./launcher rebuild app and it finished successfully. I.e., I got to this:

To complete the upgrade, rebuild again using:

./launcher rebuild app

I dutifully did so, but ended up with the same message. I tried it a couple more times, before I decided that something was definitely up.

The site was down at this point so I tried to bring it back up with ./launcher start app.

The site will not come up and I’m getting a “502 Bad Gateway” message.

Any suggestions? :sweat_smile:

(Edited for clarity.)

Try going through this topic to see if you’ll find something similar to your case:

2 Likes

I had looked through that thread @osioke but had been afraid to tinker further, without getting a clearer picture of what’s going on.

I was able to bring my site back by reverting "templates/postgres.template.yml" to "templates/postgres.10.template.yml" in app.yml.

It wasn’t clear from the instructions there that this could be used after running the update – only that it could be used to postpone it.

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.